---
title: "Get details of a particular task."
slug: "get-details-of-a-particular-task"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
canonical: "support.fortanix.com/get-details-of-a-particular-task"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get details of a particular task.

Get/v1/tasks/{task-id}

Get the details of a task.

SecurityAPI Key: bearerTokenHeader parameter nameAuthentication

A JWT bearer token to be passed once authenticated.

Path parameterstask-idstring (uuid) Required

UUID of a task.

Responses200

Task Details.

<select class='api-response-data' aria-label='Media type'><option value='6ba8522e-aeb0-4017-b31a-65645fd01cb1'>application/json</option>
</select>Expand Allobject  task_idstring  (uuid)    

Task Id.

requester_infoobject (RequesterInfo)  user_idstring  (uuid)    

User Id.

user_namestring    

User Name.

app_idstring  (uuid)    

App Id.

app_namestring    

App Name.

requester_typestring    

Type of requester.

Valid values[
  "USER",
  "APP",
  "SYSTEM"
]

entity_idstring  (uuid)    

app_id, build_id, node_id, cert_id are entity_id for app_domain_whitelisting, build_whitelisting, node_attestation and certificate_issuance respectively.

task_typestring    

The types of tasks supported.

Valid values[
  "NODE_ATTESTATION",
  "CERTIFICATE_ISSUANCE",
  "BUILD_WHITELIST",
  "DOMAIN_WHITELIST"
]
statusobject (TaskStatus)  

Status info for a task.

created_atinteger  (int64)    

Task creation time

status_updated_atinteger  (int64)    

Time since the status change.

statusstring    

Status string for a task.

Valid values[
  "INPROGRESS",
  "FAILED",
  "SUCCESS",
  "DENIED"
]

descriptionstring    

Task details.

approvals Array of object (ApprovalInfo)   object  user_idstring  (uuid)    

User Id.

user_namestring    

User Name.

statusstring    

Approval status.

Valid values[
  "APPROVED",
  "DENIED"
]
denial_reasonstring    

Reason associated with the denial.

domains_added Array of string   string    
domains_removed Array of string   string    
group_idstring  (uuid)    

Group Id
